Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoOneMax< FitT > Class Template Reference

Always write a comment in this format before class definition if you want the class to be documented by Doxygen. More...

`#include <eoOneMax.h>`

Inheritance diagram for eoOneMax< FitT >:

List of all members.

## Public Member Functions
| eoOneMax ()
| Ctor: you MUST provide a default ctor.
virtual string | className () const
| Return the class id.
void | printOn (ostream &_os) const
| printing...
void | readFrom (istream &_is)
| reading...
void | setB (vector< bool > &_b)
const vector< bool > & | B ()
## Private Attributes
std::vector< bool > | b

## Detailed Description

### template<class FitT>
class eoOneMax< FitT >

Always write a comment in this format before class definition if you want the class to be documented by Doxygen.

Note that you MUST derive your structure from EO<fitT> but you MAY use some other already prepared class in the hierarchy like eoVector for instance, if you handle a vector of something....

If you create a structure from scratch, the only thing you need to provide are a default constructor IO routines printOn and readFrom

Note that operator<< and operator>> are defined at EO level using these routines

Definition at line 31 of file eoOneMax.h.

## Constructor & Destructor Documentation

template<class FitT>
eoOneMax< FitT >::eoOneMax | ( |  | ) | `[inline]`

| Ctor: you MUST provide a default ctor. though such individuals will generally be processed by some eoInit object Definition at line 37 of file eoOneMax.h.

## Member Function Documentation

template<class FitT>
virtual string eoOneMax< FitT >::className | ( | void |  | ) | const`[inline, virtual]`

| Return the class id. Returns: the class name as a std::string Reimplemented from EO< FitT >. Definition at line 49 of file eoOneMax.h.

template<class FitT>
void eoOneMax< FitT >::printOn | ( | ostream & | _os | ) | const`[inline]`

| printing... HINTS in EO we systematically write the sizes of things before the things so readFrom is easier to code (see below) Definition at line 52 of file eoOneMax.h. References EO< F >::printOn().

template<class FitT>
void eoOneMax< FitT >::readFrom | ( | istream & | _is | ) | `[inline]`

| reading... of course, your readFrom must be able to read what printOn writes!!! HINTS remember the eoOneMax object will come from the default ctor this is why having the sizes written out is useful Definition at line 72 of file eoOneMax.h. References EO< F >::readFrom().

The documentation for this class was generated from the following file:

- eoOneMax.h